/*******************************************************************************
 									CoAN-010 application
								Web Interface with AJAX implementation
*******************************************************************************/
#memmap xmem
#class auto
/*************************************************
*		 NETWORK CONFIGURATION 							 *
**************************************************/
#define TCPCONFIG 1
#define _PRIMARY_STATIC_IP  "192.168.10.55"
#define _PRIMARY_NETMASK    "255.255.255.0"
#define MY_GATEWAY          "192.168.10.1"

#define USE_RABBITWEB 1
#use "dcrtcp.lib"
#use "http.lib"

/*************************************************
*  application modules for this project			 *
**************************************************/
#use "iweb.lib"     		//web interface objects
#use "datetime.lib"  	//date&time utilities

/*************************************************
*		variables for samples simulations			 *
**************************************************/
float ad_inputs[8];

const char NAME[] = "AJAX_DEMO";

main()
{
	int channel;

	//Web Server Start Up
 	iweb_init();

	while(1)
   {
      http_handler();//Web server attention...

      /***********************************************************************
       * Simulate AD Samples
       **********************************************************************/
      costate
      {
			for(channel = 0; channel <= 7; channel++)
			{  // simulate sample for each channel
				ad_inputs[channel] = (rand()-0.5)/10 + 5567;
			}
         waitfor( DelayMs(500) );
      }
	}
}


